Functional tests for the passerelle CMIS connector

Description
===========

This test suite will use the web API of a passerelle CMIS connector
to perform some actions on a CMIS server, and will use cmislib to connect to the
same CMIS server and check that the passerelle CMIS connector is behaving as expected.

Setup
=====

Install required dependencies in a virtualenv:

    $ virtualenv cmisenv
    $ source venv/bin/activate
    $ pip install -r requirements.txt


You will need a running passerelle instance, whith a CMIS connector instance configured to connect to
a CMIS server.
Suppose that the CMIS connector instance is configured as follow:

    * cmis_endpoint = http://localhost:8080/alfresco/api/-default-/public/cmis/versions/1.1/atom
    * username = admin
    * username = admin

And that the CMIS connector instance is listening here :

    http://127.0.0.1:8000/cmis/local-alfresco/

Then you would start the test suite with the following command:

    $ py.test --cmis-connector-url=http://127.0.0.1:8000/cmis/local-alfresco/ \
--cmis-endpoint=http://localhost:8080/alfresco/api/-default-/public/cmis/versions/1.1/atom \
--cmis-username=admin --cmis-password=admin tests_cmis.py

Additional options :

    * --preserve-tree : do not delete the CMIS folder used for the tests
